Bug 862594 - Using write-behind store with eviction creates a time window in which entries might not be found
Using write-behind store with eviction creates a time window in which entries...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: unspecified (Show other bugs)
6.0.0,6.0.1
Unspecified Unspecified
unspecified Severity unspecified
: ER11
: 6.1.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 06:41 EDT by Martin Gencur
Modified: 2013-10-06 20:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If a cache entry is in the process of being written to the underlying store (somewhere in the async queue) and the entry is being loaded from the store at the same time, the entry was already removed from the container and if not yet written on the store it might not be found. Consequently, cache entries might not be found in a short time window between the moment they are evicted and the moment they are written to the underlying cache store. </para> <para> This was to have been fixed with a new write-behind cache store implementation. However, the actual fix has not yet been thoroughly tested, and as such this issue is still considered unresolved.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-1174 Blocker Resolved Using an AsyncStore with eviction creates a time window in which entries might not be found 2017-06-16 06:48 EDT
JBoss Issue Tracker ISPN-2293 Major Resolved New async store implementation with stress test 2017-06-16 06:48 EDT

  None (edit)
Description Martin Gencur 2012-10-03 06:41:54 EDT

    
Comment 1 Jakub Markos 2012-11-28 10:10:53 EST
Verification of this bug is blocked by https://bugzilla.redhat.com/show_bug.cgi?id=881073 at the moment.
Comment 2 Martin Gencur 2012-12-12 11:53:43 EST
I'm changing the target milestone to ER6 because the bug verification is blocked by another bug targeted for ER6.
Comment 5 Martin Gencur 2013-02-15 10:13:37 EST
The verification is no more blocked by https://bugzilla.redhat.com/show_bug.cgi?id=881073
Comment 6 Tristan Tarrant 2013-02-15 10:28:08 EST
Since https://bugzilla.redhat.com/show_bug.cgi?id=881073 was marked invalid (since the bug is in the test), this issue needs to be re-evaluated after the test is fixed

Note You need to log in before you can comment on or make changes to this bug.